#
# Module services
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.
services:
  _defaults:
    autowire: true
    autoconfigure: true
  CDev\USPS\Core\EventListener:
    tags:
      - {name: kernel.event_listener, event: xcart.boot, method: onBoot}

  # /orders
  CDev\USPS\API\Endpoint\Order\Transformer\Shipment\OutputTransformerInterface: '@CDev\USPS\API\Endpoint\Order\Transformer\Shipment\OutputTransformer'
  CDev\USPS\API\Endpoint\Order\Transformer\Shipment\OutputTransformer: ~
